<?php
$locale['title'] = "PHP-Fusion Setup";
$locale['charset'] = "iso-8859-1";
$locale['400'] = "Selecteer een taalgebied";
$locale['401'] = "Niet in staat verbinding te maken met de database.<br><br>
Verzeker u er van dat u de juiste gegevens hebt opgegeven.";
$locale['402'] = "Niet in staat de juiste database-tabel te selecteren.<br><br>
Verzeker u er van dat u de juiste gegevens hebt opgegeven.";
// Step 0 - Welkom
$locale['410'] = "Welkom bij de setup van PHP-Fusion";
$locale['411'] = "Check schrijf-permissies gelukt";
$locale['412'] = "Check schrijf-permissies mislukt";
$locale['413'] = "Verzeker u er van dat u de vereiste mappen ge-CHMOD heeft.";
$locale['414'] = "Vult u a.u.b. het volgende formulier in en klik op Volgende.";
// Step 0 - Toegangscriteria
$locale['420'] = "Databasetoegang instellingen";
$locale['421'] = "Database hostnaam:";
$locale['422'] = "Database gebruikernaam:";
$locale['423'] = "Database wachtwoord:";
$locale['424'] = "Database naam:";
$locale['425'] = "Voorvoegsel voor tabellen:";
$locale['426'] = "Volgende";
// Step 1 - Schrijven naar config / Creren tabellen database
$locale['430'] = "Niet in staat naar config te schrijven<br>\nControleer a.u.b. de schrijf-permissies en begin opnieuw met de setup.";
$locale['431'] = "Setup kon n of meer tabellen in de database niet creren.<br><br>
Begin opnieuw met de setup en probeer het nogmaals.<br><br>
Indien u het probleem niet kunt oplossen, bezoek dan de <br> 
algemene support-site op <a href='http://www.php-fusion.co.uk' target='blank'>php-fusion.co.uk</a> of de <br> lokale support-site op <a href='http://www.phpfusion.nl' target='blank'>phpfusion.nl</a>";
$locale['432'] = "De config is succesvol weggeschreven.<br><br>\n";
$locale['433'] = "De tabellen in de database zijn gecreerd.<br><br>
Vult u a.u.b. het volgende formulier in en klik op Volgende.";
// Step 1 - Superbeheerder login
$locale['440'] = "Superbeheerder login-gegevens";
$locale['441'] = "Gebruikernaam:";
$locale['442'] = "Wachtwoord:";
$locale['443'] = "Herhaal wachtwoord:";
$locale['444'] = "Emailadres:";
// Step 2 - Validatie gebruikergegevens
$locale['450'] = "Gebruikernaam bevat ongeldige tekens.";
$locale['451'] = "De twee wachtwoorden komen niet met elkaar overeen.";
$locale['452'] = "Wachtwoord ongeldig. Gebruik a.u.b. alleen alfanumerieke tekens.<br>
Een wachtwoord dient minimaal 6 tekens lang te zijn.";
$locale['453'] = "Uw emailadres lijkt niet geldig te zijn.";
$locale['454'] = "Er staat een fout in uw gebruikerinstellingen:";
// Step 2 - Beheerder Panelen
$locale['460'] = "Beheerders";
$locale['461'] = "Artikelcategorien";
$locale['462'] = "Artikelen";
$locale['463'] = "Zwarte Lijst";
$locale['464'] = "Reacties";
$locale['465'] = "Eigen Pagina&#39;s";
$locale['466'] = "Database Backup";
$locale['467'] = "Downloadcategorien";
$locale['468'] = "Downloads";
$locale['469'] = "FAQ&#39;s";
$locale['470'] = "Forums";
$locale['471'] = "Afbeeldingen";
$locale['472'] = "Infusions";
$locale['473'] = "Infusion Panelen";
$locale['474'] = "Leden";
$locale['475'] = "Nieuws";
$locale['476'] = "Panelen";
$locale['477'] = "Fotoalbums";
$locale['478'] = "PHP Info";
$locale['479'] = "Enqutes";
$locale['480'] = "Shoutbox";
$locale['481'] = "Site Links";
$locale['482'] = "Inzendingen";
$locale['483'] = "Upgrade";
$locale['484'] = "Gebruikergroepen";
$locale['485'] = "Weblinkcategorien";
$locale['486'] = "Weblinks";
$locale['487'] = "Algemene Instellingen";
$locale['488'] = "Tijd en Datum Instellingen";
$locale['489'] = "Forum Instellingen";
$locale['490'] = "Aanmeldingsinstellingen";
$locale['491'] = "Fotogallerij Instellingen";
$locale['492'] = "Diverse Instellingen";
$locale['493'] = "Priv Berichten Instellingen";
$locale['494'] = "Nieuwscategorien";
// Step 2 - Navigatie - Links
$locale['500'] = "Home";
$locale['501'] = "Artikelen";
$locale['502'] = "Downloads";
$locale['503'] = "FAQ";
$locale['504'] = "Forum";
$locale['505'] = "Contact";
$locale['507'] = "Weblinks";
$locale['508'] = "Fotogallerij";
$locale['509'] = "Zoeken";
$locale['510'] = "Link inzenden";
$locale['511'] = "Nieuws inzenden";
$locale['512'] = "Artikel inzenden";
$locale['513'] = "Foto inzenden";
// Stage 2 - Panelen
$locale['520'] = "Navigatie";
$locale['521'] = "Online Gebruikers";
$locale['522'] = "Forumonderwerpen";
$locale['523'] = "Laatste Artikelen";
$locale['524'] = "Welkomstbericht";
$locale['525'] = "Lijst Forumonderwerpen";
$locale['526'] = "Gebruikerinfo";
$locale['527'] = "Ledenenqute";
$locale['528'] = "Shoutbox";
// Afsluitbericht
$locale['540'] = "Bugs";
$locale['541'] = "Downloads";
$locale['542'] = "Spellen";
$locale['543'] = "Afbeeldingen";
$locale['544'] = "Hardware";
$locale['545'] = "Journaal";
$locale['546'] = "Leden";
$locale['547'] = "Modificaties";
$locale['548'] = "Film";
$locale['549'] = "Netwerk";
$locale['550'] = "Nieuws";
$locale['551'] = "PHP-Fusion";
$locale['552'] = "Veiligheid";
$locale['553'] = "Software";
$locale['554'] = "Thema&#39;s";
$locale['555'] = "Windows";
$locale['580'] = "Setup is afgerond, PHP-Fusion is nu klaar voor gebruik.<br>
<a href='index.php'>Klik hier</a> om naar uw PHP-Fusion site te gaan.<br>
<b>Opmerking</b>: vanwege veiligheidsaspecten dient u setup.php van uw server<br>
te verwijderenen en uw config.php terug naar 644 te CHMODden.<br><br>
Dank u voor het proberen van PHP-Fusion.";
?>